For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • POSTCreate a pricing
      • DELDelete a pricing by resource ID
      • PATCHUpdate a pricing
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIPricings

Create a pricing

POST
/v:version/pricings
POST
/v:version/pricings
$curl -X POST https://test.api.solvimon.com/v1/pricings \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "product_ids": [
> "string"
> ],
> "name": "Default Pricing"
>}'
1{
2 "object_type": "string",
3 "id": "string",
4 "pricing_plan_version_id": "string",
5 "pricing_plan_schedule_id": "string",
6 "pricing_group_id": "string",
7 "original_pricing_id": "string",
8 "original_pricing": {},
9 "override": "ALL",
10 "name": "string",
11 "product_type": "DEFAULT",
12 "product_ids": [
13 "string"
14 ],
15 "display_order": 1,
16 "products": [
17 {
18 "object_type": "string",
19 "id": "string",
20 "category_id": "string",
21 "category": {
22 "object_type": "string",
23 "id": "string",
24 "name": "string",
25 "reference": "string",
26 "description": "string",
27 "tax_category": "STANDARD",
28 "display_order": 1,
29 "customer_id": "string"
30 },
31 "parent_product_id": "string",
32 "name": "string",
33 "reference": "string",
34 "description": "string",
35 "status": "DRAFT",
36 "product_type": "DEFAULT",
37 "tax_category": "STANDARD",
38 "features": [
39 {
40 "id": "string",
41 "reference": "string"
42 }
43 ],
44 "custom_fields": [
45 {
46 "id": "string",
47 "reference": "string",
48 "value": "string",
49 "values": [
50 "string"
51 ],
52 "integration_details": {
53 "id": "string",
54 "reference": "string",
55 "payment_gateway_variant": "ADYEN",
56 "adyen": {
57 "recurring_detail_reference": "string"
58 },
59 "stripe": {
60 "payment_method_id": "string"
61 }
62 }
63 }
64 ],
65 "display_order": 1,
66 "linked_integrations": [
67 {
68 "id": "string",
69 "link_details": [
70 {
71 "url": "string",
72 "custom_field_name": "string"
73 }
74 ]
75 }
76 ],
77 "billing_entity_id": "string",
78 "customer_id": "string"
79 }
80 ],
81 "entitlements": [
82 {
83 "feature_id": "string",
84 "feature": {
85 "object_type": "string",
86 "id": "string",
87 "reference": "string",
88 "name": "string",
89 "description": "string",
90 "type": "SWITCH",
91 "enum_values": [
92 "string"
93 ],
94 "meter_value_calculation_id": "string",
95 "meter_value_calculation": {
96 "object_type": "string",
97 "id": "string",
98 "reference": "string",
99 "name": "string",
100 "description": "string",
101 "calculation_type": "SUM",
102 "persist": true,
103 "meter_id": "string",
104 "meter": {
105 "object_type": "string",
106 "id": "string",
107 "reference": "string",
108 "name": "string",
109 "description": "string",
110 "status": "DRAFT",
111 "meter_values": [
112 {
113 "id": "string",
114 "object": {
115 "object_type": "string",
116 "id": "string",
117 "reference": "string",
118 "name": "string",
119 "description": "string",
120 "status": "DRAFT",
121 "type": "NUMBER"
122 },
123 "required": true
124 }
125 ],
126 "meter_properties": [
127 {
128 "id": "string",
129 "object": {
130 "object_type": "string",
131 "id": "string",
132 "reference": "string",
133 "name": "string",
134 "description": "string",
135 "status": "DRAFT",
136 "type": "NUMBER",
137 "enum_values": [
138 "string"
139 ]
140 },
141 "required": true
142 }
143 ]
144 },
145 "meter_value_id": "string",
146 "meter_value": {
147 "object_type": "string",
148 "id": "string",
149 "reference": "string",
150 "name": "string",
151 "description": "string",
152 "status": "DRAFT",
153 "type": "NUMBER"
154 },
155 "meter_property_id": "string",
156 "meter_property": {
157 "object_type": "string",
158 "id": "string",
159 "reference": "string",
160 "name": "string",
161 "description": "string",
162 "status": "DRAFT",
163 "type": "NUMBER",
164 "enum_values": [
165 "string"
166 ]
167 }
168 }
169 },
170 "feature_reference": "string",
171 "override": true,
172 "number": "string",
173 "switch": true,
174 "amount": {
175 "quantity": "string",
176 "currency": "AED"
177 },
178 "enum": "string",
179 "string": "string",
180 "overwrite": true
181 }
182 ],
183 "items": [
184 {
185 "object_type": "string",
186 "id": "string",
187 "original_pricing_item_id": "string",
188 "original_pricing_item": {},
189 "override": "ALL",
190 "product_item_ids": [
191 "string"
192 ],
193 "product_items": [
194 {
195 "object_type": "string",
196 "id": "string",
197 "product_id": "string",
198 "product": {
199 "object_type": "string",
200 "id": "string",
201 "category_id": "string",
202 "category": {
203 "object_type": "string",
204 "id": "string",
205 "name": "string",
206 "reference": "string",
207 "description": "string",
208 "tax_category": "STANDARD",
209 "display_order": 1,
210 "customer_id": "string"
211 },
212 "parent_product_id": "string",
213 "name": "string",
214 "reference": "string",
215 "description": "string",
216 "status": "DRAFT",
217 "product_type": "DEFAULT",
218 "tax_category": "STANDARD",
219 "features": [
220 {
221 "id": "string",
222 "reference": "string"
223 }
224 ],
225 "custom_fields": [
226 {
227 "id": "string",
228 "reference": "string",
229 "value": "string",
230 "values": [
231 "string"
232 ],
233 "integration_details": {
234 "id": "string",
235 "reference": "string",
236 "payment_gateway_variant": "ADYEN",
237 "adyen": {
238 "recurring_detail_reference": "string"
239 },
240 "stripe": {
241 "payment_method_id": "string"
242 }
243 }
244 }
245 ],
246 "display_order": 1,
247 "linked_integrations": [
248 {
249 "id": "string",
250 "link_details": [
251 {
252 "url": "string",
253 "custom_field_name": "string"
254 }
255 ]
256 }
257 ],
258 "billing_entity_id": "string",
259 "customer_id": "string"
260 },
261 "name": "string",
262 "status": "DRAFT",
263 "reference": "string",
264 "description": "string",
265 "type": "REVENUE",
266 "model_type": "USAGE_BASED",
267 "usage_based": {
268 "meter_value_calculation_id": "string",
269 "meter_value_calculation": {
270 "object_type": "string",
271 "id": "string",
272 "reference": "string",
273 "name": "string",
274 "description": "string",
275 "calculation_type": "SUM",
276 "persist": true,
277 "meter_id": "string",
278 "meter": {
279 "object_type": "string",
280 "id": "string",
281 "reference": "string",
282 "name": "string",
283 "description": "string",
284 "status": "DRAFT",
285 "meter_values": [
286 {
287 "id": "string",
288 "object": {
289 "object_type": "string",
290 "id": "string",
291 "reference": "string",
292 "name": "string",
293 "description": "string",
294 "status": "DRAFT",
295 "type": "NUMBER"
296 },
297 "required": true
298 }
299 ],
300 "meter_properties": [
301 {
302 "id": "string",
303 "object": {
304 "object_type": "string",
305 "id": "string",
306 "reference": "string",
307 "name": "string",
308 "description": "string",
309 "status": "DRAFT",
310 "type": "NUMBER",
311 "enum_values": [
312 "string"
313 ]
314 },
315 "required": true
316 }
317 ]
318 },
319 "meter_value_id": "string",
320 "meter_value": {
321 "object_type": "string",
322 "id": "string",
323 "reference": "string",
324 "name": "string",
325 "description": "string",
326 "status": "DRAFT",
327 "type": "NUMBER"
328 },
329 "meter_property_id": "string",
330 "meter_property": {
331 "object_type": "string",
332 "id": "string",
333 "reference": "string",
334 "name": "string",
335 "description": "string",
336 "status": "DRAFT",
337 "type": "NUMBER",
338 "enum_values": [
339 "string"
340 ]
341 }
342 },
343 "tiering_meter_value_calculation_id": "string",
344 "tiering_meter_value_calculation": {
345 "object_type": "string",
346 "id": "string",
347 "reference": "string",
348 "name": "string",
349 "description": "string",
350 "calculation_type": "SUM",
351 "persist": true,
352 "meter_id": "string",
353 "meter": {
354 "object_type": "string",
355 "id": "string",
356 "reference": "string",
357 "name": "string",
358 "description": "string",
359 "status": "DRAFT",
360 "meter_values": [
361 {
362 "id": "string",
363 "object": {
364 "object_type": "string",
365 "id": "string",
366 "reference": "string",
367 "name": "string",
368 "description": "string",
369 "status": "DRAFT",
370 "type": "NUMBER"
371 },
372 "required": true
373 }
374 ],
375 "meter_properties": [
376 {
377 "id": "string",
378 "object": {
379 "object_type": "string",
380 "id": "string",
381 "reference": "string",
382 "name": "string",
383 "description": "string",
384 "status": "DRAFT",
385 "type": "NUMBER",
386 "enum_values": [
387 "string"
388 ]
389 },
390 "required": true
391 }
392 ]
393 },
394 "meter_value_id": "string",
395 "meter_value": {
396 "object_type": "string",
397 "id": "string",
398 "reference": "string",
399 "name": "string",
400 "description": "string",
401 "status": "DRAFT",
402 "type": "NUMBER"
403 },
404 "meter_property_id": "string",
405 "meter_property": {
406 "object_type": "string",
407 "id": "string",
408 "reference": "string",
409 "name": "string",
410 "description": "string",
411 "status": "DRAFT",
412 "type": "NUMBER",
413 "enum_values": [
414 "string"
415 ]
416 }
417 },
418 "report_meter_value_calculation_ids": [
419 "string"
420 ],
421 "conditions": {
422 "name": "string",
423 "expression": {
424 "operator": "AND",
425 "operands": [
426 {
427 "meter_property": {
428 "id": "string",
429 "reference": "string",
430 "meter_property": {
431 "object_type": "string",
432 "id": "string",
433 "reference": "string",
434 "name": "string",
435 "description": "string",
436 "status": "DRAFT",
437 "type": "NUMBER",
438 "enum_values": [
439 "string"
440 ]
441 },
442 "value": "string",
443 "values": [
444 "string"
445 ],
446 "comparator": "EQUALS"
447 },
448 "expression": {}
449 }
450 ]
451 },
452 "meter_properties": [
453 {
454 "id": "string",
455 "reference": "string",
456 "meter_property": {
457 "object_type": "string",
458 "id": "string",
459 "reference": "string",
460 "name": "string",
461 "description": "string",
462 "status": "DRAFT",
463 "type": "NUMBER",
464 "enum_values": [
465 "string"
466 ]
467 },
468 "value": "string",
469 "values": [
470 "string"
471 ],
472 "comparator": "EQUALS"
473 }
474 ]
475 }
476 },
477 "credits": {
478 "credit_type_id": "string",
479 "credit_type": {
480 "object_type": "string",
481 "id": "string",
482 "reference": "string",
483 "status": "DRAFT",
484 "name": "string",
485 "description": "string",
486 "unit_name": {
487 "singular": "string",
488 "plural": "string"
489 },
490 "created_at": "string",
491 "updated_at": "string"
492 }
493 },
494 "meter_value_calculation": {
495 "object_type": "string",
496 "id": "string",
497 "reference": "string",
498 "name": "string",
499 "description": "string",
500 "calculation_type": "SUM",
501 "persist": true,
502 "meter_id": "string",
503 "meter": {
504 "object_type": "string",
505 "id": "string",
506 "reference": "string",
507 "name": "string",
508 "description": "string",
509 "status": "DRAFT",
510 "meter_values": [
511 {
512 "id": "string",
513 "object": {
514 "object_type": "string",
515 "id": "string",
516 "reference": "string",
517 "name": "string",
518 "description": "string",
519 "status": "DRAFT",
520 "type": "NUMBER"
521 },
522 "required": true
523 }
524 ],
525 "meter_properties": [
526 {
527 "id": "string",
528 "object": {
529 "object_type": "string",
530 "id": "string",
531 "reference": "string",
532 "name": "string",
533 "description": "string",
534 "status": "DRAFT",
535 "type": "NUMBER",
536 "enum_values": [
537 "string"
538 ]
539 },
540 "required": true
541 }
542 ]
543 },
544 "meter_value_id": "string",
545 "meter_value": {
546 "object_type": "string",
547 "id": "string",
548 "reference": "string",
549 "name": "string",
550 "description": "string",
551 "status": "DRAFT",
552 "type": "NUMBER"
553 },
554 "meter_property_id": "string",
555 "meter_property": {
556 "object_type": "string",
557 "id": "string",
558 "reference": "string",
559 "name": "string",
560 "description": "string",
561 "status": "DRAFT",
562 "type": "NUMBER",
563 "enum_values": [
564 "string"
565 ]
566 }
567 },
568 "tax_category": "STANDARD",
569 "display_order": 1,
570 "unit_name": {
571 "singular": "string",
572 "plural": "string"
573 },
574 "custom_fields": [
575 {
576 "id": "string",
577 "reference": "string",
578 "value": "string",
579 "values": [
580 "string"
581 ],
582 "integration_details": {
583 "id": "string",
584 "reference": "string",
585 "payment_gateway_variant": "ADYEN",
586 "adyen": {
587 "recurring_detail_reference": "string"
588 },
589 "stripe": {
590 "payment_method_id": "string"
591 }
592 }
593 }
594 ],
595 "customer_id": "string",
596 "meter_value_calculation_id": "string",
597 "report_meter_value_calculation_ids": [
598 "string"
599 ]
600 }
601 ],
602 "configs": [
603 {
604 "object_type": "string",
605 "id": "string",
606 "original_pricing_item_config_id": "string",
607 "original_pricing_item_config": {},
608 "details": {
609 "billing_period": {
610 "type": "DAY",
611 "value": 1
612 },
613 "pricing_type": "FLAT",
614 "pricing_period": {
615 "type": "DAY",
616 "value": 1
617 },
618 "bands": [
619 {
620 "amount": {
621 "quantity": "string",
622 "currency": "AED"
623 },
624 "percentage": "string",
625 "credits": {
626 "quantity": "string",
627 "credit_type_id": "string"
628 },
629 "fixed_amount": {
630 "quantity": "string",
631 "currency": "AED"
632 },
633 "maximum_amount": {
634 "quantity": "string",
635 "currency": "AED"
636 },
637 "minimum_amount": {
638 "quantity": "string",
639 "currency": "AED"
640 },
641 "maximum_number": "string",
642 "minimum_number": "string",
643 "block_size": {
644 "number": "string",
645 "amount": {
646 "quantity": "string",
647 "currency": "AED"
648 },
649 "count": "string"
650 },
651 "tier_top_bound": {
652 "number": "string",
653 "amount": {
654 "quantity": "string",
655 "currency": "AED"
656 },
657 "count": "string"
658 }
659 }
660 ]
661 },
662 "billing_period": {
663 "type": "DAY",
664 "value": 1
665 },
666 "pricing_period": {
667 "type": "DAY",
668 "value": 1
669 },
670 "default_included_volume": {
671 "number": "string",
672 "amount": {
673 "quantity": "string",
674 "currency": "AED"
675 },
676 "count": "string",
677 "reset_type": "string"
678 },
679 "default_seats_value": {
680 "number": "string",
681 "amount": {
682 "quantity": "string",
683 "currency": "AED"
684 },
685 "count": "string"
686 },
687 "conditions": {
688 "name": "string",
689 "meter_properties": [
690 {
691 "id": "string",
692 "reference": "string",
693 "meter_property": {
694 "object_type": "string",
695 "id": "string",
696 "reference": "string",
697 "name": "string",
698 "description": "string",
699 "status": "DRAFT",
700 "type": "NUMBER",
701 "enum_values": [
702 "string"
703 ]
704 },
705 "value": "string",
706 "values": [
707 "string"
708 ],
709 "comparator": "EQUALS"
710 }
711 ],
712 "configs": [
713 {}
714 ]
715 },
716 "order": 1,
717 "billing_in_advance": true,
718 "volume_group_reference": "string",
719 "top_up": {
720 "rollover": true
721 },
722 "split_pricing": {
723 "meter_properties": [
724 {
725 "id": "string",
726 "reference": "string",
727 "value": "string",
728 "meter_property": {
729 "object_type": "string",
730 "id": "string",
731 "reference": "string",
732 "name": "string",
733 "description": "string",
734 "status": "DRAFT",
735 "type": "NUMBER",
736 "enum_values": [
737 "string"
738 ]
739 }
740 }
741 ]
742 },
743 "on_demand": true,
744 "wallet_grants": [
745 {
746 "wallet_type_id": "string",
747 "wallet_type": {
748 "object_type": "string",
749 "id": "string",
750 "name": "string",
751 "reference": "string",
752 "status": "DRAFT",
753 "type": "CREDIT",
754 "credit": {
755 "grant_type": "CREDITS",
756 "amount_grant": {
757 "default_currency": "AED",
758 "tax_category": "STANDARD"
759 },
760 "credits_grant": {
761 "credit_type_id": "string"
762 }
763 },
764 "balance": {
765 "default_currency": "string"
766 },
767 "created_at": "string",
768 "updated_at": "string"
769 },
770 "amount_grant": {
771 "amount": {
772 "quantity": "string",
773 "currency": "AED"
774 },
775 "percentage": "string"
776 },
777 "credits_grant": {
778 "credits": {
779 "quantity": "string",
780 "credit_type_id": "string"
781 },
782 "conversion": "string"
783 },
784 "expiry_policy": {
785 "expiry_period": {
786 "type": "DAY",
787 "value": 1
788 }
789 }
790 }
791 ],
792 "type": "FLAT",
793 "pricing_type": "FLAT",
794 "bands": [
795 {
796 "amount": {
797 "quantity": "string",
798 "currency": "AED"
799 },
800 "percentage": "string",
801 "credits": {
802 "quantity": "string",
803 "credit_type_id": "string"
804 },
805 "fixed_amount": {
806 "quantity": "string",
807 "currency": "AED"
808 },
809 "maximum_amount": {
810 "quantity": "string",
811 "currency": "AED"
812 },
813 "minimum_amount": {
814 "quantity": "string",
815 "currency": "AED"
816 },
817 "maximum_number": "string",
818 "minimum_number": "string",
819 "block_size": {
820 "number": "string",
821 "amount": {
822 "quantity": "string",
823 "currency": "AED"
824 },
825 "count": "string"
826 },
827 "tier_top_bound": {
828 "number": "string",
829 "amount": {
830 "quantity": "string",
831 "currency": "AED"
832 },
833 "count": "string"
834 }
835 }
836 ]
837 }
838 ],
839 "pricing_currency_configs": [
840 {
841 "currency": "AED",
842 "configs": [
843 {
844 "object_type": "string",
845 "id": "string",
846 "original_pricing_item_config_id": "string",
847 "original_pricing_item_config": {},
848 "details": {
849 "billing_period": {
850 "type": "DAY",
851 "value": 1
852 },
853 "pricing_type": "FLAT",
854 "pricing_period": {
855 "type": "DAY",
856 "value": 1
857 },
858 "bands": [
859 {
860 "amount": {
861 "quantity": "string",
862 "currency": "AED"
863 },
864 "percentage": "string",
865 "credits": {
866 "quantity": "string",
867 "credit_type_id": "string"
868 },
869 "fixed_amount": {
870 "quantity": "string",
871 "currency": "AED"
872 },
873 "maximum_amount": {
874 "quantity": "string",
875 "currency": "AED"
876 },
877 "minimum_amount": {
878 "quantity": "string",
879 "currency": "AED"
880 },
881 "maximum_number": "string",
882 "minimum_number": "string",
883 "block_size": {
884 "number": "string",
885 "amount": {
886 "quantity": "string",
887 "currency": "AED"
888 },
889 "count": "string"
890 },
891 "tier_top_bound": {
892 "number": "string",
893 "amount": {
894 "quantity": "string",
895 "currency": "AED"
896 },
897 "count": "string"
898 }
899 }
900 ]
901 },
902 "billing_period": {
903 "type": "DAY",
904 "value": 1
905 },
906 "pricing_period": {
907 "type": "DAY",
908 "value": 1
909 },
910 "default_included_volume": {
911 "number": "string",
912 "amount": {
913 "quantity": "string",
914 "currency": "AED"
915 },
916 "count": "string",
917 "reset_type": "string"
918 },
919 "default_seats_value": {
920 "number": "string",
921 "amount": {
922 "quantity": "string",
923 "currency": "AED"
924 },
925 "count": "string"
926 },
927 "conditions": {
928 "name": "string",
929 "meter_properties": [
930 {
931 "id": "string",
932 "reference": "string",
933 "meter_property": {
934 "object_type": "string",
935 "id": "string",
936 "reference": "string",
937 "name": "string",
938 "description": "string",
939 "status": "DRAFT",
940 "type": "NUMBER",
941 "enum_values": [
942 "string"
943 ]
944 },
945 "value": "string",
946 "values": [
947 "string"
948 ],
949 "comparator": "EQUALS"
950 }
951 ],
952 "configs": [
953 {}
954 ]
955 },
956 "order": 1,
957 "billing_in_advance": true,
958 "volume_group_reference": "string",
959 "top_up": {
960 "rollover": true
961 },
962 "split_pricing": {
963 "meter_properties": [
964 {
965 "id": "string",
966 "reference": "string",
967 "value": "string",
968 "meter_property": {
969 "object_type": "string",
970 "id": "string",
971 "reference": "string",
972 "name": "string",
973 "description": "string",
974 "status": "DRAFT",
975 "type": "NUMBER",
976 "enum_values": [
977 "string"
978 ]
979 }
980 }
981 ]
982 },
983 "on_demand": true,
984 "wallet_grants": [
985 {
986 "wallet_type_id": "string",
987 "wallet_type": {
988 "object_type": "string",
989 "id": "string",
990 "name": "string",
991 "reference": "string",
992 "status": "DRAFT",
993 "type": "CREDIT",
994 "credit": {
995 "grant_type": "CREDITS",
996 "amount_grant": {
997 "default_currency": "AED",
998 "tax_category": "STANDARD"
999 },
1000 "credits_grant": {
1001 "credit_type_id": "string"
1002 }
1003 },
1004 "balance": {
1005 "default_currency": "string"
1006 },
1007 "created_at": "string",
1008 "updated_at": "string"
1009 },
1010 "amount_grant": {
1011 "amount": {
1012 "quantity": "string",
1013 "currency": "AED"
1014 },
1015 "percentage": "string"
1016 },
1017 "credits_grant": {
1018 "credits": {
1019 "quantity": "string",
1020 "credit_type_id": "string"
1021 },
1022 "conversion": "string"
1023 },
1024 "expiry_policy": {
1025 "expiry_period": {
1026 "type": "DAY",
1027 "value": 1
1028 }
1029 }
1030 }
1031 ],
1032 "type": "FLAT",
1033 "pricing_type": "FLAT",
1034 "bands": [
1035 {
1036 "amount": {
1037 "quantity": "string",
1038 "currency": "AED"
1039 },
1040 "percentage": "string",
1041 "credits": {
1042 "quantity": "string",
1043 "credit_type_id": "string"
1044 },
1045 "fixed_amount": {
1046 "quantity": "string",
1047 "currency": "AED"
1048 },
1049 "maximum_amount": {
1050 "quantity": "string",
1051 "currency": "AED"
1052 },
1053 "minimum_amount": {
1054 "quantity": "string",
1055 "currency": "AED"
1056 },
1057 "maximum_number": "string",
1058 "minimum_number": "string",
1059 "block_size": {
1060 "number": "string",
1061 "amount": {
1062 "quantity": "string",
1063 "currency": "AED"
1064 },
1065 "count": "string"
1066 },
1067 "tier_top_bound": {
1068 "number": "string",
1069 "amount": {
1070 "quantity": "string",
1071 "currency": "AED"
1072 },
1073 "count": "string"
1074 }
1075 }
1076 ]
1077 }
1078 ],
1079 "billing_period_configs": [
1080 {
1081 "billing_period": {
1082 "type": "DAY",
1083 "value": 1
1084 },
1085 "configs": [
1086 {
1087 "object_type": "string",
1088 "id": "string",
1089 "original_pricing_item_config_id": "string",
1090 "original_pricing_item_config": {},
1091 "details": {
1092 "billing_period": {
1093 "type": "DAY",
1094 "value": 1
1095 },
1096 "pricing_type": "FLAT",
1097 "pricing_period": {
1098 "type": "DAY",
1099 "value": 1
1100 },
1101 "bands": [
1102 {
1103 "amount": {
1104 "quantity": "string",
1105 "currency": "AED"
1106 },
1107 "percentage": "string",
1108 "credits": {
1109 "quantity": "string",
1110 "credit_type_id": "string"
1111 },
1112 "fixed_amount": {
1113 "quantity": "string",
1114 "currency": "AED"
1115 },
1116 "maximum_amount": {
1117 "quantity": "string",
1118 "currency": "AED"
1119 },
1120 "minimum_amount": {
1121 "quantity": "string",
1122 "currency": "AED"
1123 },
1124 "maximum_number": "string",
1125 "minimum_number": "string",
1126 "block_size": {
1127 "number": "string",
1128 "amount": {
1129 "quantity": "string",
1130 "currency": "AED"
1131 },
1132 "count": "string"
1133 },
1134 "tier_top_bound": {
1135 "number": "string",
1136 "amount": {
1137 "quantity": "string",
1138 "currency": "AED"
1139 },
1140 "count": "string"
1141 }
1142 }
1143 ]
1144 },
1145 "billing_period": {
1146 "type": "DAY",
1147 "value": 1
1148 },
1149 "pricing_period": {
1150 "type": "DAY",
1151 "value": 1
1152 },
1153 "default_included_volume": {
1154 "number": "string",
1155 "amount": {
1156 "quantity": "string",
1157 "currency": "AED"
1158 },
1159 "count": "string",
1160 "reset_type": "string"
1161 },
1162 "default_seats_value": {
1163 "number": "string",
1164 "amount": {
1165 "quantity": "string",
1166 "currency": "AED"
1167 },
1168 "count": "string"
1169 },
1170 "conditions": {
1171 "name": "string",
1172 "meter_properties": [
1173 {
1174 "id": "string",
1175 "reference": "string",
1176 "meter_property": {
1177 "object_type": "string",
1178 "id": "string",
1179 "reference": "string",
1180 "name": "string",
1181 "description": "string",
1182 "status": "DRAFT",
1183 "type": "NUMBER",
1184 "enum_values": [
1185 "string"
1186 ]
1187 },
1188 "value": "string",
1189 "values": [
1190 "string"
1191 ],
1192 "comparator": "EQUALS"
1193 }
1194 ],
1195 "configs": [
1196 {}
1197 ]
1198 },
1199 "order": 1,
1200 "billing_in_advance": true,
1201 "volume_group_reference": "string",
1202 "top_up": {
1203 "rollover": true
1204 },
1205 "split_pricing": {
1206 "meter_properties": [
1207 {
1208 "id": "string",
1209 "reference": "string",
1210 "value": "string",
1211 "meter_property": {
1212 "object_type": "string",
1213 "id": "string",
1214 "reference": "string",
1215 "name": "string",
1216 "description": "string",
1217 "status": "DRAFT",
1218 "type": "NUMBER",
1219 "enum_values": [
1220 "string"
1221 ]
1222 }
1223 }
1224 ]
1225 },
1226 "on_demand": true,
1227 "wallet_grants": [
1228 {
1229 "wallet_type_id": "string",
1230 "wallet_type": {
1231 "object_type": "string",
1232 "id": "string",
1233 "name": "string",
1234 "reference": "string",
1235 "status": "DRAFT",
1236 "type": "CREDIT",
1237 "credit": {
1238 "grant_type": "CREDITS",
1239 "amount_grant": {
1240 "default_currency": "AED",
1241 "tax_category": "STANDARD"
1242 },
1243 "credits_grant": {
1244 "credit_type_id": "string"
1245 }
1246 },
1247 "balance": {
1248 "default_currency": "string"
1249 },
1250 "created_at": "string",
1251 "updated_at": "string"
1252 },
1253 "amount_grant": {
1254 "amount": {
1255 "quantity": "string",
1256 "currency": "AED"
1257 },
1258 "percentage": "string"
1259 },
1260 "credits_grant": {
1261 "credits": {
1262 "quantity": "string",
1263 "credit_type_id": "string"
1264 },
1265 "conversion": "string"
1266 },
1267 "expiry_policy": {
1268 "expiry_period": {
1269 "type": "DAY",
1270 "value": 1
1271 }
1272 }
1273 }
1274 ],
1275 "type": "FLAT",
1276 "pricing_type": "FLAT",
1277 "bands": [
1278 {
1279 "amount": {
1280 "quantity": "string",
1281 "currency": "AED"
1282 },
1283 "percentage": "string",
1284 "credits": {
1285 "quantity": "string",
1286 "credit_type_id": "string"
1287 },
1288 "fixed_amount": {
1289 "quantity": "string",
1290 "currency": "AED"
1291 },
1292 "maximum_amount": {
1293 "quantity": "string",
1294 "currency": "AED"
1295 },
1296 "minimum_amount": {
1297 "quantity": "string",
1298 "currency": "AED"
1299 },
1300 "maximum_number": "string",
1301 "minimum_number": "string",
1302 "block_size": {
1303 "number": "string",
1304 "amount": {
1305 "quantity": "string",
1306 "currency": "AED"
1307 },
1308 "count": "string"
1309 },
1310 "tier_top_bound": {
1311 "number": "string",
1312 "amount": {
1313 "quantity": "string",
1314 "currency": "AED"
1315 },
1316 "count": "string"
1317 }
1318 }
1319 ]
1320 }
1321 ]
1322 }
1323 ],
1324 "fallback_currency": "AED"
1325 }
1326 ],
1327 "billing_period_configs": [
1328 {
1329 "billing_period": {
1330 "type": "DAY",
1331 "value": 1
1332 },
1333 "configs": [
1334 {
1335 "object_type": "string",
1336 "id": "string",
1337 "original_pricing_item_config_id": "string",
1338 "original_pricing_item_config": {},
1339 "details": {
1340 "billing_period": {
1341 "type": "DAY",
1342 "value": 1
1343 },
1344 "pricing_type": "FLAT",
1345 "pricing_period": {
1346 "type": "DAY",
1347 "value": 1
1348 },
1349 "bands": [
1350 {
1351 "amount": {
1352 "quantity": "string",
1353 "currency": "AED"
1354 },
1355 "percentage": "string",
1356 "credits": {
1357 "quantity": "string",
1358 "credit_type_id": "string"
1359 },
1360 "fixed_amount": {
1361 "quantity": "string",
1362 "currency": "AED"
1363 },
1364 "maximum_amount": {
1365 "quantity": "string",
1366 "currency": "AED"
1367 },
1368 "minimum_amount": {
1369 "quantity": "string",
1370 "currency": "AED"
1371 },
1372 "maximum_number": "string",
1373 "minimum_number": "string",
1374 "block_size": {
1375 "number": "string",
1376 "amount": {
1377 "quantity": "string",
1378 "currency": "AED"
1379 },
1380 "count": "string"
1381 },
1382 "tier_top_bound": {
1383 "number": "string",
1384 "amount": {
1385 "quantity": "string",
1386 "currency": "AED"
1387 },
1388 "count": "string"
1389 }
1390 }
1391 ]
1392 },
1393 "billing_period": {
1394 "type": "DAY",
1395 "value": 1
1396 },
1397 "pricing_period": {
1398 "type": "DAY",
1399 "value": 1
1400 },
1401 "default_included_volume": {
1402 "number": "string",
1403 "amount": {
1404 "quantity": "string",
1405 "currency": "AED"
1406 },
1407 "count": "string",
1408 "reset_type": "string"
1409 },
1410 "default_seats_value": {
1411 "number": "string",
1412 "amount": {
1413 "quantity": "string",
1414 "currency": "AED"
1415 },
1416 "count": "string"
1417 },
1418 "conditions": {
1419 "name": "string",
1420 "meter_properties": [
1421 {
1422 "id": "string",
1423 "reference": "string",
1424 "meter_property": {
1425 "object_type": "string",
1426 "id": "string",
1427 "reference": "string",
1428 "name": "string",
1429 "description": "string",
1430 "status": "DRAFT",
1431 "type": "NUMBER",
1432 "enum_values": [
1433 "string"
1434 ]
1435 },
1436 "value": "string",
1437 "values": [
1438 "string"
1439 ],
1440 "comparator": "EQUALS"
1441 }
1442 ],
1443 "configs": [
1444 {}
1445 ]
1446 },
1447 "order": 1,
1448 "billing_in_advance": true,
1449 "volume_group_reference": "string",
1450 "top_up": {
1451 "rollover": true
1452 },
1453 "split_pricing": {
1454 "meter_properties": [
1455 {
1456 "id": "string",
1457 "reference": "string",
1458 "value": "string",
1459 "meter_property": {
1460 "object_type": "string",
1461 "id": "string",
1462 "reference": "string",
1463 "name": "string",
1464 "description": "string",
1465 "status": "DRAFT",
1466 "type": "NUMBER",
1467 "enum_values": [
1468 "string"
1469 ]
1470 }
1471 }
1472 ]
1473 },
1474 "on_demand": true,
1475 "wallet_grants": [
1476 {
1477 "wallet_type_id": "string",
1478 "wallet_type": {
1479 "object_type": "string",
1480 "id": "string",
1481 "name": "string",
1482 "reference": "string",
1483 "status": "DRAFT",
1484 "type": "CREDIT",
1485 "credit": {
1486 "grant_type": "CREDITS",
1487 "amount_grant": {
1488 "default_currency": "AED",
1489 "tax_category": "STANDARD"
1490 },
1491 "credits_grant": {
1492 "credit_type_id": "string"
1493 }
1494 },
1495 "balance": {
1496 "default_currency": "string"
1497 },
1498 "created_at": "string",
1499 "updated_at": "string"
1500 },
1501 "amount_grant": {
1502 "amount": {
1503 "quantity": "string",
1504 "currency": "AED"
1505 },
1506 "percentage": "string"
1507 },
1508 "credits_grant": {
1509 "credits": {
1510 "quantity": "string",
1511 "credit_type_id": "string"
1512 },
1513 "conversion": "string"
1514 },
1515 "expiry_policy": {
1516 "expiry_period": {
1517 "type": "DAY",
1518 "value": 1
1519 }
1520 }
1521 }
1522 ],
1523 "type": "FLAT",
1524 "pricing_type": "FLAT",
1525 "bands": [
1526 {
1527 "amount": {
1528 "quantity": "string",
1529 "currency": "AED"
1530 },
1531 "percentage": "string",
1532 "credits": {
1533 "quantity": "string",
1534 "credit_type_id": "string"
1535 },
1536 "fixed_amount": {
1537 "quantity": "string",
1538 "currency": "AED"
1539 },
1540 "maximum_amount": {
1541 "quantity": "string",
1542 "currency": "AED"
1543 },
1544 "minimum_amount": {
1545 "quantity": "string",
1546 "currency": "AED"
1547 },
1548 "maximum_number": "string",
1549 "minimum_number": "string",
1550 "block_size": {
1551 "number": "string",
1552 "amount": {
1553 "quantity": "string",
1554 "currency": "AED"
1555 },
1556 "count": "string"
1557 },
1558 "tier_top_bound": {
1559 "number": "string",
1560 "amount": {
1561 "quantity": "string",
1562 "currency": "AED"
1563 },
1564 "count": "string"
1565 }
1566 }
1567 ]
1568 }
1569 ]
1570 }
1571 ],
1572 "display_order": 1
1573 }
1574 ]
1575}
Was this page helpful?
Previous

Delete a pricing by resource ID

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
product_idslist of stringsRequired
pricing_plan_version_idstring or nullOptional

Resource ID of type PRICING_PLAN_VERSION

pricing_plan_schedule_idstring or nullOptional

Resource ID of type PRICING_PLAN_SCHEDULE

pricing_group_idstring or nullOptional

Resource ID of type PRICING_GROUP

original_pricing_idstring or nullOptional
overrideenum or nullOptional
Allowed values:
namestring or nullOptional
product_typeenum or nullOptional
Allowed values:
display_orderinteger or nullOptional
entitlementslist of objects or nullOptional
itemslist of objects or nullOptional

Response

Created
object_typestring or nullRead-only
idstring or nullRead-only
pricing_plan_version_idstring or null

Resource ID of type PRICING_PLAN_VERSION

pricing_plan_schedule_idstring or null

Resource ID of type PRICING_PLAN_SCHEDULE

pricing_group_idstring or null

Resource ID of type PRICING_GROUP

original_pricing_idstring or null
original_pricingobject or nullRead-only

This property creates a circular reference in the Pricing schema. If you experience any issues with OpenAPI tools related to these circular references, you can try removing this property from the specification.

overrideenum or null
Allowed values:
namestring or null
product_typeenum or null
Allowed values:
product_idslist of strings
display_orderinteger or null
productslist of objects or nullRead-only
entitlementslist of objects or null
itemslist of objects or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error